Package org.springframework.web.servlet.i18n

# Class AbstractLocaleResolver

java.lang.Object
org.springframework.web.servlet.i18n.AbstractLocaleResolver

All Implemented Interfaces:
  `LocaleResolver`

Direct Known Subclasses:
  `AbstractLocaleContextResolver`, `AcceptHeaderLocaleResolver`

public abstract class AbstractLocaleResolver extends Object implements LocaleResolver
Abstract base class for `LocaleResolver` implementations.

Provides support for a default locale.

Since:
  1.2.9
Author:
  Juergen Hoeller
See Also:
  - `setDefaultLocale(java.util.Locale)`

## Constructor Summary

Constructors
Constructor
Description
`AbstractLocaleResolver()`

## Method Summary

Modifier and Type
Method
Description
`protected Locale`
`getDefaultLocale()`
Get the default `Locale` that this resolver is supposed to fall back to, if any.
`void`
`setDefaultLocale(Locale defaultLocale)`
Set a default `Locale` that this resolver will return if no other locale is found.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.servlet.LocaleResolver

`resolveLocale, setLocale`

## Constructor Details

### AbstractLocaleResolver

public AbstractLocaleResolver()

## Method Details

### setDefaultLocale

public void setDefaultLocale(@Nullable Locale defaultLocale)
Set a default `Locale` that this resolver will return if no other locale is found.

### getDefaultLocale

@Nullable protected Locale getDefaultLocale()
Get the default `Locale` that this resolver is supposed to fall back to, if any.